﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="UD5T1.MainPage"
             BackgroundColor="DarkGray"
             >
    <Grid Margin="10">
        <Grid.RowDefinitions>
            <RowDefinition Height=".30*"/>
            <RowDefinition Height=".70*"/>
        </Grid.RowDefinitions>
        <Frame Padding="10" BackgroundColor="Gray" BorderColor="Transparent">
            <Grid>
                <Grid.RowDefinitions>
                    <RowDefinition Height=".10*"/>
                    <RowDefinition Height=".90*"/>
                </Grid.RowDefinitions>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition Width="1"/>
                    <ColumnDefinition/>
                </Grid.ColumnDefinitions>
                <Label Text="TOTAL POR PERSONA" Grid.Column="0" Grid.ColumnSpan="3" HorizontalOptions="Center" TextColor="Cyan" FontAttributes="Bold" />
                <Label x:Name="lblTotal" Text="$0.00" Grid.Row="1" VerticalOptions="CenterAndExpand" HorizontalOptions="Center" FontAttributes="Bold" FontSize="35" TextColor="White"/>
                <BoxView Grid.Row="1" Grid.Column="1" HorizontalOptions="Center" BackgroundColor="Azure" Margin="0,10,0,0"/>
                <VerticalStackLayout Grid.Row="1" Grid.Column="2" HorizontalOptions="Center" VerticalOptions="Center">
                    <Label Text="SUBTOTAL" TextColor="White"/>
                    <Label x:Name="lblSubtotal" Text="$0.00" TextColor="White" FontAttributes="Bold"/>
                    <Label Margin="0,10,0,0" Text="PROPINA" TextColor="White"/>
                    <Label x:Name="lblPropinaPorPersona" Text="$0.00" TextColor="White" FontAttributes="Bold"/>
                </VerticalStackLayout>
            </Grid>
        </Frame>
        <Grid Margin="0,15,0,0" Grid.Row="1">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width=".35*"/>
                <ColumnDefinition Width=".65*"/>
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition Height=".25*"/>
                <RowDefinition Height=".25*"/>
                <RowDefinition Height=".25*"/>
                <RowDefinition Height=".25*"/>
            </Grid.RowDefinitions>
            <Label Grid.Row="0" Grid.Column="0" VerticalOptions="Center" Text="Importe Cuenta: $" TextColor="White"/>
            <Entry Grid.Row="0" Grid.Column="1" x:Name="txtCuenta" VerticalOptions="Center" Text="0.0" TextColor="White" BackgroundColor="Gray" Keyboard="Numeric" Completed="TxtCuenta_Completed"/>
            <Label Grid.Row="1" Grid.Column="0" VerticalOptions="Center" Text="Elige la propina" TextColor="White"/>
            <HorizontalStackLayout Grid.Row="1" Grid.Column="1" HorizontalOptions="CenterAndExpand" Spacing="10">
                <Button Text="10%" WidthRequest="70" HeightRequest="70" Clicked="Button_Clicked"/>
                <Button Text="15%" WidthRequest="70" HeightRequest="70" Clicked="Button_Clicked"/>
                <Button Text="20%" WidthRequest="70" HeightRequest="70" Clicked="Button_Clicked"/>
            </HorizontalStackLayout>
            <Label Grid.Row="2" Grid.Column="0" VerticalOptions="Center" Text="Propina 0%" TextColor="White" x:Name="lblPropina"/>
            <Slider Grid.Row="2" Grid.Column="1" x:Name="sldPropina" Minimum="0" Maximum="50" ValueChanged="SldPropina_ValueChanged"/>
            <Label Grid.Row="3" Grid.Column="0" VerticalOptions="Center" Text="Divide el total" TextColor="White"/>
            <HorizontalStackLayout Grid.Row="3" Grid.Column="1" VerticalOptions="Center" HorizontalOptions="Center">
                <Button x:Name="btnMenos" Text="-" WidthRequest="70" Clicked="BtnMenos_Clicked"/>
                <Label x:Name="lblPersonas" Margin="-5,0,-5,0" HorizontalOptions="Center" HeightRequest="50" WidthRequest="100" Text="1" FontSize="25" TextColor="White" Background="Gray" VerticalTextAlignment="Center" HorizontalTextAlignment="Center"></Label>
                <Button x:Name="btnMas" Text="+" WidthRequest="70" Clicked="BtnMas_Clicked"/>
            </HorizontalStackLayout>
        </Grid>
    </Grid>
</ContentPage>